
Redmine - Feature #11702

Add user/group to multiple projects at once

2012-08-24 18:06 - Doruk Fişek

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Adding a user to multiple projects in the administration is only done per project. I'd like to see a UI to easily add a user to multiple

projects (or all) at the same time.

It's really not efficient if you have to add a user to 40-50 projects and have to do it one by one.

Related issues:

Has duplicate Redmine - Feature #9773: Add Group to Multiple Projects Closed

Has duplicate Redmine - Feature #7054: Multi-select "new project" field when ... Closed 2010-12-06

Associated revisions

Revision 13498 - 2014-10-23 23:46 - Jean-Philippe Lang

Adds a single controller for users and groups memberships and support for adding multiple projects at once (#11702).

Revision 13499 - 2014-10-23 23:47 - Jean-Philippe Lang

Adds translation strings (#11702).

Revision 13537 - 2014-11-02 21:16 - Jean-Philippe Lang

Adds (un)check all buttons to select all projects (#11702).

History

#1 - 2012-08-24 18:07 - Doruk Fişek

Sorry for the "big font" paragraph, I hit h1 by accident and can't seem to edit it now :(.

I'd be happy if someone with the necessary privileges to remove the h1.

#2 - 2012-08-24 22:15 - Etienne Massip

- Description updated

#3 - 2012-08-24 22:33 - Anonymous

- Assignee set to Jean-Philippe Lang

+ 1 yeah a list where you can select or select multiple project

#4 - 2012-11-23 16:43 - Dmitry Babenko

While this feature is not planned yet, you may solve your problem using Groups. You can create a group and assign it to any number of projects.

Then you'll need only to assign new user to corresponding group and it would be added to all that projects.

#5 - 2014-05-20 13:07 - Pavel Potcheptsov

You can create a group and assign it to any number of projects.

 This will solve only at half, you still need to go through all projects to add selected group to them.

This is must have feature in
Administration - Users - Some_User - Projects Tab - Add button "Add to all/active projects"

#6 - 2014-06-13 22:21 - Bob Pack

I think with Groups, it would be nice to have a multi-select dropdown for projects.  I am using Redmine 2.2 for the time being, but I am pretty sure this

is still in the most recent version (can't check on demo without admin credentials).

#7 - 2014-10-20 15:12 - Jeyan X M

+1, it would be great if we get the multi-select dropdown for projects for both user and group level.

#8 - 2014-10-23 23:47 - Jean-Philippe Lang

- Target version set to 3.0.0

#9 - 2014-10-23 23:53 - Jean-Philippe Lang

- File add_projects.png added

The UI for adding projects to a user or group is changed by r13499, you can now select multiple projects:

 

Just need to add a "Check all" button so we can add a user/group to all projects in a few clicks.

#10 - 2014-11-02 21:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#11 - 2014-11-02 21:19 - Jean-Philippe Lang

- Subject changed from Add user to multiple projects to Add user/group to multiple projects at once

#12 - 2014-11-09 15:56 - Go MAEDA

- Has duplicate Feature #9773: Add Group to Multiple Projects added

#13 - 2017-01-09 09:07 - Go MAEDA

- Has duplicate Feature #7054: Multi-select "new project" field when assigning groups to projects added

#14 - 2018-12-05 18:34 - Jérôme BATAILLE

Hi,

In companies with a lot of projects this is not very usable as-is, can we thing to add a filter ?

By name or by project and its sub-project.

Files
